/* Petit programme pour tester l'afficheur miniature OLED 128 x 64.
   Simple génération aléatoire de points avec alternance de
   noir et de blanc. le noir est trois fois plus probable que le blanc
   donc lécran restera statistiquement noir sur 3/4 de sa surface. */

#include <Adafruit_ssd1306syp.h>

// Définition des broches pour la ligne I2C.
#define broche_SDA 2
#define broche_SCL 3

// Initialisation des broches en sorties et affectations.
Adafruit_ssd1306syp display(broche_SDA, broche_SCL);

// variables du programme;
byte X,Y,Noir;
boolean Blanc;

void setup() {
  display.initialize();
  display.clear();
  // Trace le cadre extérieur.
  display.drawRect(0, 0, 128, 64, WHITE); // Coordonnées et taille.
  display.update();}
  
void loop() {flocon_aleatoire(); }

void flocon_aleatoire() {
  for (byte I=1;I<11;I++)
      {X = random(1,126); Y = random(1,63); Noir = random(0,128);
       Blanc = !Blanc; if (Noir > 32) Blanc = false;
       display.drawPixel(X, Y,Blanc);}
  // Transfère les pixels sur l'écran LCD.
  display.update();} 
